Jump to content


Photo

14/Jun r6 riskfreeroot - HTC Desire rooting guide - now with HBOOT 0.80 and OS to 1.21 support


  • Please log in to reply
2527 replies to this topic

Poll: The Desire rooting poll (1333 member(s) have cast votes)

Did you use this guide to root your HTC Desire?

  1. Yessireee and it's great! (969 votes [72.69%])

    Percentage of vote: 72.69%

  2. No because i'm too scared! (236 votes [17.70%])

    Percentage of vote: 17.70%

  3. No because it didn't work! (128 votes [9.60%])

    Percentage of vote: 9.60%

Vote Guests cannot vote

#2521
EddyOS

EddyOS

    Hardcore

  • Members
  • PipPipPipPipPipPip
  • 1,536 posts
  • Gender:Male
  • Location:Liverpool, Merseyside
  • Devices:Google Nexus 5
  • Twitter:@dj_e1d
At least you're on a stock ROM so you'll be OK. I take it you didn't need a gold card to run that RUU?

  • 0
Google Nexus 4 (LG-E960)
ROM: Android 4.3 (JWR66V)
Bootloader: MAKOZ20i
Recovery: Stock
Radio: 2.0.1700.84
Kernel: Stock

#2522
cytracker

cytracker

    Newbie

  • Members
  • Pip
  • 5 posts
Nope. No goldcard, the phone was unbranded.

  • 0

#2523
nems

nems

    Newbie

  • Members
  • Pip
  • 1 posts
  • Devices:HTC Desire
I'm a total newbie to Android, and have recently got my hands on a HTC desire, and am blown away by it.

However, the firmware is 2.1 and as a result the device (unfortunatly) is suffering from the 'overheating' issue, and seems to get stuck in a boot cycle when it gets warm (putting it in the fridge does help !! ) . I've been trawling through various forums and found that I need to upgrade to 2.2 in order for this to be resolved.

The problem I have is as follows.

- When I look for updates using FOTA i'm informed there are no updates for the phone
- Looked to root the device in order to upgrade a custom rom, but HBOOT version is 0.75

All guides I find for this process are for version 0.8 or newer..........

Any help you guys can provide would be awesome !!

  • 0

#2524
bpivk

bpivk

    Hardcore

  • Members
  • PipPipPipPipPipPip
  • 1,022 posts
  • Gender:Male
  • Location:Slovenia
  • Devices:HTC Desire (SLCD)

However, the firmware is 2.1 and as a result the device (unfortunatly) is suffering from the 'overheating' issue, and seems to get stuck in a boot cycle when it gets warm (putting it in the fridge does help !! ) .

That's a known hardware failure. Don't root it and get it to a service center.

Edited by bpivk, 22 May 2011 - 05:59 PM.

  • 0
★ Device 1: Samsung Galaxy S2 ☆ Android Version: 2.3 ★
★ Device 2: ACER Iconia A500 tablet PC ☆ Android Version: 3.1 ☆ OS: My personal HC rom based on Stock 3.1 HC ★

#2525
zippyioa

zippyioa

    Enthusiast

  • Members
  • PipPipPip
  • 207 posts
  • Gender:Male
  • Location:Stratford-upon-Avon UK
  • Interests:Grand Prix, cars, technology and my shiny new phones!
  • Devices:Samsung Galaxy S3 & LG O2X
This worked perfectly for me! I have just bought an LG Optimus 2x so I can sell my Desire now :rolleyes:

Thanks Paul! :P

  • 0

#2526
gogolino

gogolino

    Newbie

  • Members
  • Pip
  • 1 posts
  • Devices:HTC Desire, HTC HD2
Dear,

I was using a tutorial to flash a HTC Desire and I stacked on
" Navigate to the BOOTLOADER and then the RECOVERY option on the menu, using the volume buttons to move and the power button to select"
The black screen with a red triangle doesn't appears.
It appears black screen with htc sine in a middle of screen and 4 triangles in the 4 corners.
any suggestion for the mentioned problem?

  • 0

#2527
jmagee

jmagee

    Diehard

  • Members
  • PipPipPipPip
  • 427 posts
  • Gender:Male
  • Devices:LG Nexus 4; Nexus 7
  • Twitter:@jay84uk
Maybe been mentioned else where but 128 pages? I'm not checking- sorry. I rooted my desire using unrevoked. Very easy indeed. Worth a look if you want some tasty Gingerbread.

  • 0

#2528
haso_n

haso_n

    Newbie

  • Members
  • Pip
  • 1 posts
  • Devices:HTC Desire
hello can someone explain to me why only on your r6 rom my android market works no one have answer when i install cyanogenmod rom or ledroid i can install apps but i cant run it i can only uninstall on your r6 rom everything works perfect but the only problem is that version of android is 2.1 i would like that the version of android is at least 2.3.5 sorry for my bad english because im from bosnia :)

this is the screenshot of my problem Posted Image

Edited by haso_n, 02 July 2012 - 08:33 PM.

  • 0




3 user(s) are reading this topic

0 members, 3 guests, 0 anonymous users